Subject: Re: looking for cygnus compatible perl
From: [email-masked] (Jon S. Jaques)

18 Dec 1997 16:10:17 -0800
Message-ID: <01bd0be6$8b20d410$0200dede.cygnus.gnu-win32@epsilon>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "B. Elizabeth Trojan" <[email-masked]>
Cc: <[email-masked]>

>Is there a version of Perl available for win32
that is Cygnus
>compatible? By Cygnus compatible I mean accepts
UNC paths and
>knows about cygnus mounts.

That would be "the" Perl; ie that is v5.004_04,
the very same that is compiled under Unix/Linux.
(http://www.perl.org/CPAN/src/latest.tar.gz )

Is it easy? Supposedly, although I've not yet
gotten it to work, but haven't given up.

Assuming that you've installed "cdk.exe" into the
default location, there're two updates you need:
1.) The new cygwin.dll, and 2.) Chris Faylor's
Perl patch which is specific to Cygwin32
installation/compilation. (The cygwin.dll seems to
be distributed from a users' site, along with a
new Bash.exe, among other things, and I can't tell
if their presence, or lack thereof, affects the
perl install/compile.)

These are the steps that were advised to me:

>>Here is what I would try:
>>
>> mkdir /usr/src/perl
>> mount -b c:\usr\src\perl /perlsrc
>> bash
>> cd /perlsrc
>> tar xzf /wherever/perl5.004_04.tar.gz
>> mv perl5.004_04/* .
>> tar xzf /whereever/cygperl5.004_04.pat.tar.gz
>> /bin/sh cygperlpat5.004_04
>> patch -p1 -N < cygperlpat5.004_04
>> sh Configure

And then, when it didn't work, we went here:

>It is a prerequisite that you are able to compile
programs.  Does your
>gcc work?  Can you successfully build a simple
"hello world" program?
>
>Also, the patched README file *does not* say to
copy files anywhere.

Note this last, which IS different from the
original Perl README. If you've already followed
those instructions, then I'd reccomend deleting
the files "gcc2" and "ld2" which you theoretically
already copied into your path.

Personally, I can compile a simple file,
program1.cpp ("hello world") with *g++* but NOT
gcc (a friend suggested that the file was a
"plus-plus" and that gcc is not, but I don't
really know much about either... my primary reason
for this thing is just to get the new Perl
compiled on my system to open up some options in
my Perl programming... one language at a time, ple
ase! <grin>)

Please, if you have no luck, then lets' continue
this dialogue-- I'd really like to get this
resolved.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".